# $Revision: 1.4 $, $Date: 2005/12/29 13:28:50 $
%define	_short_name 	algorith
Summary:	Set of LaTeX macros for algorithms
Summary(pl):	Zestaw makr LaTeXa dla algorytmw
Name:		tetex-algorith
Version:	20050316
Release:	2
License:	LGPL 2.1+
Group:		Applications/Publishing/TeX
# taken from: ftp://ftp.dante.de/pub/tex/macros/latex/contrib/algorithms.tgz
Source0:	algorithms.tgz
# Source0-md5:	b8d41cfe88164385c294329a63dff7cc
%requires_eq	tetex
%requires_eq	tetex-latex
BuildRequires:	tetex-latex
Prereq:		tetex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides two environments, algorithmic and algorithm,
which are designed to be used together but may be used separately. The
algorithmic environment provides an environment for describing
algorithms and the algorithm environment provides a "float" wrapper
for algorithms (implemented using algorithmic or some other method at
the author's option). The reason that two environments are provided is
to allow the author maximum flexibility.

%description -l pl
Ten pakiet udostpnia dwa rodowiska: algorithmic i algorithm, ktre
zostay zaprojektowane do wsplnego uywania, ale mona ich uywa
osobno. rodowisko algorithmic umoliwia opisywanie algorytmw, a
algorithm jest "pywajcym" rodowiskiem do prezentowania algorytmw
(generowanych w rodowisku algorithmic lub inn metod). Powodem
istnienia dwch rodowisk jest pozostawienie autorom maksymalnej
swobody.

%prep
%setup -q -n algorithms

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/%{_short_name} \
	$RPM_BUILD_ROOT%{_datadir}/texmf/doc/latex/%{_short_name}

install *.sty $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/%{_short_name}

%post	-p %{_bindir}/mktexlsr
%postun	-p %{_bindir}/mktexlsr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README *.tex
%{_datadir}/texmf/tex/latex/%{_short_name}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tetex-algorith.spec,v $
Revision 1.4  2005/12/29 13:28:50  adamg
- release 2 to rebuild with tetex 3.0

Revision 1.3  2005/04/15 22:58:49  ankry
- summary + description

Revision 1.2  2005/04/15 07:55:58  ankry
- builds

Revision 1.1  2005/04/15 07:09:42  ankry
- initial
